# convertToVLRY

## Description

The `convertToVLRY` function is a synchronous function that converts an amount from USD to VLRY based on a predefined exchange rate.&#x20;

The function takes a USD amount as input and calculates the equivalent amount in VLRY using the exchange rate.

## Parameters

| Parameter   | Data Type | Description                                |
| ----------- | --------- | ------------------------------------------ |
| `usdAmount` | number    | The amount in USD to be converted to VLRY. |

## Response

| Field    | Data Type | Description                                                                     |
| -------- | --------- | ------------------------------------------------------------------------------- |
| `code`   | Number    | A numeric value indicating the execution status (1 for success, 0 for error).   |
| `error`  | any       | The error object containing details about the encountered error, if applicable. |
| `result` | Object    | An object containing the converted amount in VLRY and the exchange rate.        |

## Example Request and Response

### Prerequisites

Before making requests with Volary SDK, you must have it installed.

You can install Volary SDK using either **`npm`** or **`yarn`**. Use the following commands to install Volary SDK:

<br>

```sh
npm install @nest25/evm-chains-lib
OR
yarn add @nest25/evm-chains-lib
```

### Request

Here is an example of how to make a `convertToVLRY` request using the Volary SDK:<br>

```javascript
const { Nft } = require('@nest25/evm-chains-lib');

const nft = new Nft('testnet');

async function main() {
    const response = nft.USDToVLRY(1);
    console.log(response);
}

main();
```

```sh
```

### Response

```sh
{ code: 1, result: { vlryAmount: 6.666666666666667, vlryRate: 0.15 } }
```

### Use Cases

* **The `convertToVLRY` function can be used to convert an amount from USD to VLRY.**\
  For example, if you have an amount in USD and you want to know the equivalent value in VLRY, you can use this function. It calculates the conversion based on the predefined exchange rate and returns the converted amount along with the exchange rate.

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.volary.io/sdks-guide/blockchain-sdks/evm-chains-sdk/nft/converttovlry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
